FileAlterationListener (Commons IO 2.5)
Date: 2016-12-01

org.apache.commons.io.monitor

## Interface FileAlterationListener

- All Known Implementing Classes:
    FileAlterationListenerAdaptor

      public interface FileAlterationListener

  A listener that receives events of file system modifications.

  Register `FileAlterationListener`s with a `FileAlterationObserver`.

  Since:
    2.0
  Version:
    $Id: FileAlterationListener.java 1304052 2012-03-22 20:55:29Z ggregory $
  See Also:
    `FileAlterationObserver`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onDirectoryChange(java.io.File directory)` Directory changed Event.
    `void` | `onDirectoryCreate(java.io.File directory)` Directory created Event.
    `void` | `onDirectoryDelete(java.io.File directory)` Directory deleted Event.
    `void` | `onFileChange(java.io.File file)` File changed Event.
    `void` | `onFileCreate(java.io.File file)` File created Event.
    `void` | `onFileDelete(java.io.File file)` File deleted Event.
    `void` | `onStart(FileAlterationObserver observer)` File system observer started checking event.
    `void` | `onStop(FileAlterationObserver observer)` File system observer finished checking event.

- - ### Method Detail

    - #### onStart

          void onStart(FileAlterationObserver observer)

      File system observer started checking event.
      Parameters:
        `observer` - The file system observer

    - #### onDirectoryCreate

          void onDirectoryCreate(java.io.File directory)

      Directory created Event.
      Parameters:
        `directory` - The directory created

    - #### onDirectoryChange

          void onDirectoryChange(java.io.File directory)

      Directory changed Event.
      Parameters:
        `directory` - The directory changed

    - #### onDirectoryDelete

          void onDirectoryDelete(java.io.File directory)

      Directory deleted Event.
      Parameters:
        `directory` - The directory deleted

    - #### onFileCreate

          void onFileCreate(java.io.File file)

      File created Event.
      Parameters:
        `file` - The file created

    - #### onFileChange

          void onFileChange(java.io.File file)

      File changed Event.
      Parameters:
        `file` - The file changed

    - #### onFileDelete

          void onFileDelete(java.io.File file)

      File deleted Event.
      Parameters:
        `file` - The file deleted

    - #### onStop

          void onStop(FileAlterationObserver observer)

      File system observer finished checking event.
      Parameters:
        `observer` - The file system observer

Copyright (c) 2002-2016 Apache Software Foundation